"New section" tab (added by __NEWSECTIONLINK__) does not work when VE is active and in two tab mode
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Make you have both Edit and Edit Source tab enabled
  2. Click on Edit tab to open VE
  3. Open VisualEditor
  4. Click on "New Section" tab

Nothing happens.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2017, 12:34 AM
Ryasmeen renamed this task from [Regression wmf.11] "New section" tab does not work when you click on it while VE is active and the preference for having both editors tabs is enabled. to [Regression ?] "New section" tab does not work when you click on it while VE is active and the preference for having both editors tabs is enabled..Feb 10 2017, 12:34 AM

What page are you testing on? If you have 'new section' you probably shouldn't have VE enabled (just NWE).

Esanders updated the task description. (Show Details)Feb 11 2017, 7:00 PM
Ryasmeen added a comment.EditedFeb 12 2017, 1:21 AM

I tested on my sandbox on en.wiki and Beta : https://en.wikipedia.beta.wmflabs.org/wiki/User:RYasmeen_(WMF)

But it is reproducible on any page really with the same options enabled.

I have both Editors tabs enabled from Preferences>Editing and also the tab for "New section" is enabled from Page Options section.

This page shouldn't have a 'New section' tab on it, but there is a NEWSECTIONLINK keyword.

Esanders renamed this task from [Regression ?] "New section" tab does not work when you click on it while VE is active and the preference for having both editors tabs is enabled. to [Regression ?] "New section" tab added by __NEWSECTIONLINK__ does not work when VE is active and in two tab mode..Feb 12 2017, 9:17 PM
Jdforrester-WMF triaged this task as Normal priority.Feb 14 2017, 8:06 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF renamed this task from [Regression ?] "New section" tab added by __NEWSECTIONLINK__ does not work when VE is active and in two tab mode. to "New section" tab (added by __NEWSECTIONLINK__) does not work when VE is active and in two tab mode.Mar 2 2017, 1:39 AM

AFAICT not a regression, but yes we should fix this. Amazing spot.

Change 377301 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget.init: handle new-section tab when in visual mode

https://gerrit.wikimedia.org/r/377301

Change 377301 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget.init: handle new-section tab when in visual mode

https://gerrit.wikimedia.org/r/377301

Deskana closed this task as Resolved.Tue, Oct 17, 5:13 PM
Deskana assigned this task to DLynch.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptTue, Oct 17, 5:13 PM